;====================================================================
.model small, c
.386
include support.asm
.stack
;====================================================================
.data
    array dw 10 dup(0)
.code
;====================================================================
.startup

    ;------------------------------------------------
    ; Load the starting index value (zero) into ECX.
    ;------------------------------------------------

    xor ecx, ecx

    ;-------------------------------------------------
    ; Loop through the array from index 0 to index 9,
    ; setting the value of each element to its index.
    ;-------------------------------------------------

  @@:

    ;----------------------------------------------------
    ; The destination address for the mov instruction is
    ; the starting address of the array plus the byte
    ; offset of the indexed element.
    ;----------------------------------------------------

    mov array[ecx*2], cx

    ;-----------------
    ; Close the loop.
    ;-----------------

    inc ecx
    cmp ecx, 10
    jb  @B

    ;----------------------------------------------------------------
    ; Loop through the array and display the values of the elements.
    ;----------------------------------------------------------------

    xor ecx, ecx
  @@:
    mov ax, array[ecx*2]
    print word$(ax),NL
    inc ecx
    cmp ecx, 10
    jb  @B

    call waitkey

.exit
end

