;====================================================================
.model small, c
.386
include support.asm
.stack
;====================================================================
.data
    array dw 10 dup(0)
.code
;====================================================================
.startup

    ;-----------------------------------------------
    ; Load the starting index value (zero) into CX.
    ;-----------------------------------------------

    xor cx, cx

    ;-------------------------------------------------
    ; Loop through the array from index 0 to index 9,
    ; setting the value of each element to its index.
    ;-------------------------------------------------

  @@:

    ;---------------------------------------------------------------
    ; Copy the index to BX and then scale the value by the element
    ; size (2), effectively converting the index to the byte offset
    ; of the indexed element from the start of the array.
    ;---------------------------------------------------------------

    mov bx, cx
    shl bx, 1

    ;----------------------------------------------------
    ; The destination address for the mov instruction is
    ; the starting address of the array plus the byte
    ; offset of the indexed element.
    ;----------------------------------------------------

    mov array[bx], cx

    ;-----------------
    ; Close the loop.
    ;-----------------

    inc cx
    cmp cx, 10
    jb  @B

    ;----------------------------------------------------------------
    ; Loop through the array and display the values of the elements.
    ;----------------------------------------------------------------

    xor cx, cx
  @@:
    mov bx, cx
    shl bx, 1
    mov ax, array[bx]
    print word$(ax),NL
    inc cx
    cmp cx, 10
    jb  @B

    call waitkey

.exit
end

